QGIS Application - Bug report #1561
Choosing missing layer when opening project file places on top of layer list
2009-03-01 12:21 PM - John Tull

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Legend

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11621
Description

When you have a missing layer when opening a qgs project file, you have the option to find the missing reference file with a dialog. When
you choose the correct reference file, instead of keeping the layer/reference file in the same relative position within your layers or "map
legend", the layer is promoted to the topmost position. This affects the map canvas by changing the order of your layers. The ideal
behavior would be to keep the layer in the same relative position amongst the layers in the map canvas as it is in the qgs project file when
opened. | assume this behavior is the same across platforms, but I've only tested on OS X.

Associated revisions

Revision 19f18d99 - 2009-08-13 02:13 PM - Magnus Homann

Re-order layers after finding missing files. Also restructured the exception logic in ggisapp.cpp. Fixes #1561

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11363 ¢8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision 6bff6a69 - 2009-08-13 02:13 PM - Magnus Homann

Re-order layers after finding missing files. Also restructured the exception logic in ggisapp.cpp. Fixes #1561

git-svn-id: http://svn.osgeo.org/qgis/trunk@11363 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-07-10 05:41 AM - Giovanni Manghi

| confirm that it behave the same on linux and windows too. Used qgis 1.2 from trunk.

#2 - 2009-08-13 05:16 AM - Magnus Homann
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in commit:6bff6a69 (SVN r11364).
